/*
 * gvSIG. Desktop Geographic Information System.
 *
 * Copyright (C) 2007-2012 gvSIG Association.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 *
 * For any additional information, do not hesitate to contact us
 * at info AT gvsig.com, or visit our website www.gvsig.com.
 */
package org.gvsig.raster.tools.algorithm.maskthreshold;

import org.gvsig.i18n.Messages;
import org.gvsig.raster.tools.algorithm.base.RasterBaseAlgorithmLibrary;
import org.gvsig.tools.library.AbstractLibrary;
import org.gvsig.tools.library.LibraryException;

/**
 * Initialization of MaskthresholdAlgorithmLibrary library.
 * 
 * @author <a href="mailto:nachobrodin@gmail.com">Nacho Brodin</a>
 */
public class MaskthresholdAlgorithmLibrary extends AbstractLibrary {
	public static final String         PROCESS_LABEL   = "MaskthresholdProcess";
	
    @Override
    protected void doInitialize() throws LibraryException {
        // Nothing to do
    }

    @Override
    protected void doPostInitialize() throws LibraryException {
    	//Registers the process and its parameters
    	RasterBaseAlgorithmLibrary.register(PROCESS_LABEL, MaskthresholdProcess.class);
    	MaskthresholdProcess.registerParameters();
    	
        Messages.addResourceFamily(
            "org.gvsig.raster.tools.algorithm.maskthreshold", 
            MaskthresholdAlgorithmLibrary.class.getClassLoader(), 
            MaskthresholdAlgorithmLibrary.class.getClass().getName());
        //registerGeoProcess(new RasterReprojectAlgorithmLibrary());
    }
}
