#!/bin/bash

#set -x

dep_dir=$1;
dest_dir=$2;

if [ ! -d $dest_dir ]; then mkdir $dest_dir; fi;
if [ ! -d $dep_dir ]; then exit 0; fi 

if [ ! -d $dest_dir/unpacked ]; then
	mkdir $dest_dir/unpacked;
fi

# Get all natives sdk bundle files
files=$(find $dep_dir -type f -name *.tar.gz)

for i in $files; do
	filename=`basename $i`
	filedest="$dest_dir/unpacked/$filename"
	
	#echo FileName: "$filename"
	#echo FileDest: "$filedest"
	
    # Overwrite only if the file is newer than the one stored as unpacked
	if [ ! -f "$filedest" ] || [ "$i" -nt "$filedest" ]; then
		echo "Expanding $i in $dest_dir"
		cp "$i" "$dest_dir/unpacked"
		tar xzf "$i" -C "$dest_dir"
	else
		echo "$i not newer than the one available in $dest_dir/unpacked, not expanding it"
	fi
done
